org.apache.tinkerpop.gremlin.structure.io.gryo

## Class GryoSerializersV1d0.PropertySerializer

- java.lang.Object
- - org.apache.tinkerpop.gremlin.structure.io.gryo.GryoSerializersV1d0.PropertySerializer

- All Implemented Interfaces:
    SerializerShim<Property>
  Enclosing class:
    GryoSerializersV1d0

      public static final class GryoSerializersV1d0.PropertySerializer
      extends Object
      implements SerializerShim<Property>

  Serializes any `Property` implementation encountered to an `DetachedProperty`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertySerializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<I extends InputShim> Property` | `read(KryoShim<I,?> kryo, I input, Class<Property> propertyClass)`
    `<O extends OutputShim> void` | `write(KryoShim<?,O> kryo, O output, Property property)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.structure.io.gryo.kryoshim.SerializerShim

      `isImmutable`

- - ### Constructor Detail

    - #### PropertySerializer

          public PropertySerializer()

  - ### Method Detail

    - #### write

          public <O extends OutputShim> void write(KryoShim<?,O> kryo,
                                                   O output,
                                                   Property property)

      Specified by:
        `write` in interface `SerializerShim<Property>`

    - #### read

          public <I extends InputShim> Property read(KryoShim<I,?> kryo,
                                                     I input,
                                                     Class<Property> propertyClass)

      Specified by:
        `read` in interface `SerializerShim<Property>`

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.